Package twisted :: Package spread :: Module pb :: Class RemoteMethod

[show private | hide private]
[frames | no frames]

## Class RemoteMethod

This is a translucent reference to a remote message.

Method Summary
| ``__init__`(self, obj, name)` Initialize with a `RemoteReference`and the name of this message.
| ``__call__`(self, *args, **kw)` Asynchronously invoke a remote method.
| `__cmp__(self, other)`
| `__hash__(self)`

Method Details

### __init__(self, obj, name)
(Constructor)

Initialize with a `RemoteReference` and the name of this message.

### __call__(self, *args, **kw)
(Call operator)

Asynchronously invoke a remote method.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:12 2003 | http://epydoc.sf.net